diff --git a/src/responder/sudo/sudosrv_get_sudorules.c b/src/responder/sudo/sudosrv_get_sudorules.c
index 4a121fe..9333bfe 100644
--- a/src/responder/sudo/sudosrv_get_sudorules.c
+++ b/src/responder/sudo/sudosrv_get_sudorules.c
@@ -39,11 +39,11 @@ errno_t sudosrv_get_sudorules(struct sudo_dom_ctx *dctx)
     ret = sudosrv_get_user(dctx);
     if (ret == EAGAIN) {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("Looking up the user info from Data Provider\n"));
+              "Looking up the user info from Data Provider\n");
         return EAGAIN;
     } else if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Error looking up user information [%d]: %s\n", ret, strerror(ret)));
+              "Error looking up user information [%d]: %s\n", ret, strerror(ret));
         return ret;
     }
 
@@ -51,11 +51,11 @@ errno_t sudosrv_get_sudorules(struct sudo_dom_ctx *dctx)
     ret = sudosrv_get_rules(dctx->cmd_ctx);
     if (ret == EAGAIN) {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("Looking up the sudo rules from Data Provider\n"));
+              "Looking up the sudo rules from Data Provider\n");
         return EAGAIN;
     } else if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Error looking up sudo rules [%d]: %s\n", ret, strerror(ret)));
+              "Error looking up sudo rules [%d]: %s\n", ret, strerror(ret));
         return ret;
     }
 
@@ -83,7 +83,7 @@ static errno_t sudosrv_get_user(struct sudo_dom_ctx *dctx)
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_new() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_new() failed\n");
         return ENOMEM;
     }
 
@@ -103,26 +103,26 @@ static errno_t sudosrv_get_user(struct sudo_dom_ctx *dctx)
         name = sss_get_cased_name(tmp_ctx, cmd_ctx->username,
                                   dom->case_sensitive);
         if (name == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory\n");
             ret = ENOMEM;
             goto done;
         }
 
-        DEBUG(SSSDBG_FUNC_DATA, ("Requesting info about [%s@%s]\n",
-              name, dom->name));
+        DEBUG(SSSDBG_FUNC_DATA, "Requesting info about [%s@%s]\n",
+              name, dom->name);
 
         ret = sysdb_getpwnam(dctx, dctx->domain->sysdb,
                              dctx->domain, name, &user);
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("Failed to make request to our cache!\n"));
+                  "Failed to make request to our cache!\n");
             ret = EIO;
             goto done;
         }
 
         if (user->count > 1) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("getpwnam call returned more than one result !?!\n"));
+                  "getpwnam call returned more than one result !?!\n");
             ret = EIO;
             goto done;
         }
@@ -135,7 +135,7 @@ static errno_t sudosrv_get_user(struct sudo_dom_ctx *dctx)
                 if (dom) continue;
             }
 
-            DEBUG(SSSDBG_MINOR_FAILURE, ("No results for getpwnam call\n"));
+            DEBUG(SSSDBG_MINOR_FAILURE, "No results for getpwnam call\n");
             ret = ENOENT;
             goto done;
         }
@@ -155,7 +155,7 @@ static errno_t sudosrv_get_user(struct sudo_dom_ctx *dctx)
                                             cmd_ctx->username, 0, NULL);
             if (!dpreq) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Out of memory sending data provider request\n"));
+                      "Out of memory sending data provider request\n");
                 ret = ENOMEM;
                 goto done;
             }
@@ -189,7 +189,7 @@ static errno_t sudosrv_get_user(struct sudo_dom_ctx *dctx)
                 if (dom) continue;
             }
 
-            DEBUG(SSSDBG_MINOR_FAILURE, ("UID does not match\n"));
+            DEBUG(SSSDBG_MINOR_FAILURE, "UID does not match\n");
             ret = ENOENT;
             goto done;
         }
@@ -198,7 +198,7 @@ static errno_t sudosrv_get_user(struct sudo_dom_ctx *dctx)
         original_name = ldb_msg_find_attr_as_string(user->msgs[0],
                                                     SYSDB_NAME, NULL);
         if (original_name == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("A user with no name?\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "A user with no name?\n");
             ret = EFAULT;
             goto done;
         }
@@ -206,7 +206,7 @@ static errno_t sudosrv_get_user(struct sudo_dom_ctx *dctx)
         cmd_ctx->cased_username = talloc_move(cmd_ctx, &name);
         cmd_ctx->orig_username = talloc_strdup(cmd_ctx, original_name);
         if (cmd_ctx->orig_username == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory\n");
             ret = ENOMEM;
             goto done;
         }
@@ -214,8 +214,8 @@ static errno_t sudosrv_get_user(struct sudo_dom_ctx *dctx)
         /* and set domain */
         cmd_ctx->domain = dom;
 
-        DEBUG(SSSDBG_TRACE_FUNC, ("Returning info for user [%s@%s]\n",
-              cmd_ctx->username, dctx->domain->name));
+        DEBUG(SSSDBG_TRACE_FUNC, "Returning info for user [%s@%s]\n",
+              cmd_ctx->username, dctx->domain->name);
         ret = EOK;
         goto done;
     }
@@ -242,7 +242,7 @@ static void sudosrv_dp_send_acct_req_done(struct tevent_req *req)
     talloc_zfree(req);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Fatal error, killing connection!\n"));
+              "Fatal error, killing connection!\n");
         talloc_free(cb_ctx->cctx);
         return;
     }
@@ -258,33 +258,33 @@ static void sudosrv_check_user_dp_callback(uint16_t err_maj, uint32_t err_min,
 
     if (err_maj) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-             ("Unable to get information from Data Provider\n"
+             "Unable to get information from Data Provider\n"
               "Error: %u, %u, %s\n",
-              (unsigned int)err_maj, (unsigned int)err_min, err_msg));
+              (unsigned int)err_maj, (unsigned int)err_min, err_msg);
     }
 
     DEBUG(SSSDBG_TRACE_INTERNAL,
-          ("Data Provider returned, check the cache again\n"));
+          "Data Provider returned, check the cache again\n");
     dctx->check_provider = false;
     ret = sudosrv_get_user(dctx);
     if (ret == EAGAIN) {
         goto done;
     } else if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Could not look up the user [%d]: %s\n",
-              ret, strerror(ret)));
+              "Could not look up the user [%d]: %s\n",
+              ret, strerror(ret));
         sudosrv_cmd_done(dctx->cmd_ctx, ret);
         return;
     }
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("Looking up sudo rules..\n"));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "Looking up sudo rules..\n");
     ret = sudosrv_get_rules(dctx->cmd_ctx);
     if (ret == EAGAIN) {
         goto done;
     } else if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Error getting sudo rules [%d]: %s\n",
-              ret, strerror(ret)));
+              "Error getting sudo rules [%d]: %s\n",
+              ret, strerror(ret));
         sudosrv_cmd_done(dctx->cmd_ctx, EIO);
         return;
     }
@@ -328,26 +328,26 @@ errno_t sudosrv_get_rules(struct sudo_cmd_ctx *cmd_ctx)
                             NULL };
 
     if (cmd_ctx->domain == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Domain is not set!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Domain is not set!\n");
         return EFAULT;
     }
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_new() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_new() failed\n");
         return ENOMEM;
     }
 
     switch (cmd_ctx->type) {
         case SSS_SUDO_DEFAULTS:
-            DEBUG(SSSDBG_TRACE_FUNC, ("Retrieving default options "
+            DEBUG(SSSDBG_TRACE_FUNC, "Retrieving default options "
                   "for [%s] from [%s]\n", cmd_ctx->orig_username,
-                  cmd_ctx->domain->name));
+                  cmd_ctx->domain->name);
             break;
         case SSS_SUDO_USER:
-            DEBUG(SSSDBG_TRACE_FUNC, ("Retrieving rules "
+            DEBUG(SSSDBG_TRACE_FUNC, "Retrieving rules "
                   "for [%s] from [%s]\n", cmd_ctx->orig_username,
-                  cmd_ctx->domain->name));
+                  cmd_ctx->domain->name);
             break;
     }
 
@@ -360,7 +360,7 @@ errno_t sudosrv_get_rules(struct sudo_cmd_ctx *cmd_ctx)
                                    cmd_ctx->orig_username, NULL, &groupnames);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-             ("Unable to retrieve user info [%d]: %s\n", ret, strerror(ret)));
+             "Unable to retrieve user info [%d]: %s\n", ret, strerror(ret));
         goto done;
     }
 
@@ -374,16 +374,16 @@ errno_t sudosrv_get_rules(struct sudo_cmd_ctx *cmd_ctx)
                                             cmd_ctx->uid, groupnames,
                                             &expired_rules, &expired_rules_num);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to retrieve expired sudo rules "
-                                    "[%d]: %s\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Unable to retrieve expired sudo rules "
+                                    "[%d]: %s\n", ret, strerror(ret));
         goto done;
     }
 
     cmd_ctx->expired_rules_num = expired_rules_num;
     if (expired_rules_num > 0) {
         /* refresh expired rules then continue */
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("Refreshing %d expired rules\n",
-                                      expired_rules_num));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "Refreshing %d expired rules\n",
+                                      expired_rules_num);
         dpreq = sss_dp_get_sudoers_send(tmp_ctx, cmd_ctx->cli_ctx->rctx,
                                         cmd_ctx->domain, false,
                                         SSS_DP_SUDO_REFRESH_RULES,
@@ -391,7 +391,7 @@ errno_t sudosrv_get_rules(struct sudo_cmd_ctx *cmd_ctx)
                                         expired_rules_num, expired_rules);
         if (dpreq == NULL) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Cannot issue DP request.\n"));
+                  "Cannot issue DP request.\n");
             ret = EIO;
             goto done;
         }
@@ -413,14 +413,14 @@ errno_t sudosrv_get_rules(struct sudo_cmd_ctx *cmd_ctx)
 
     } else {
         /* nothing is expired return what we have in the cache */
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("About to get sudo rules from cache\n"));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "About to get sudo rules from cache\n");
         ret = sudosrv_get_sudorules_from_cache(cmd_ctx, cmd_ctx,
                                                &cmd_ctx->rules,
                                                &cmd_ctx->num_rules);
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("Failed to make a request to our cache [%d]: %s\n",
-                   ret, strerror(ret)));
+                  "Failed to make a request to our cache [%d]: %s\n",
+                   ret, strerror(ret));
             goto done;
         }
     }
@@ -457,7 +457,7 @@ sudosrv_dp_req_done(struct tevent_req *req)
                                   &err_msg);
     talloc_free(req);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Fatal error, killing connection!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Fatal error, killing connection!\n");
         talloc_free(cli_ctx);
         return;
     }
@@ -468,7 +468,7 @@ sudosrv_dp_req_done(struct tevent_req *req)
 static void
 sudosrv_dp_oob_req_done(struct tevent_req *req)
 {
-    DEBUG(SSSDBG_TRACE_FUNC, ("Out of band refresh finished\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Out of band refresh finished\n");
     talloc_free(req);
 }
 
@@ -482,19 +482,19 @@ sudosrv_get_sudorules_dp_callback(uint16_t err_maj, uint32_t err_min,
 
     if (err_maj) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Unable to get information from Data Provider\n"
+              "Unable to get information from Data Provider\n"
                "Error: %u, %u, %s\n"
                "Will try to return what we have in cache\n",
-               (unsigned int)err_maj, (unsigned int)err_min, err_msg));
+               (unsigned int)err_maj, (unsigned int)err_min, err_msg);
     }
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("About to get sudo rules from cache\n"));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "About to get sudo rules from cache\n");
     ret = sudosrv_get_sudorules_from_cache(cmd_ctx, cmd_ctx, &cmd_ctx->rules,
                                            &cmd_ctx->num_rules);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Failed to make a request to our cache [%d]: %s\n",
-              ret, strerror(ret)));
+              "Failed to make a request to our cache [%d]: %s\n",
+              ret, strerror(ret));
         sudosrv_cmd_done(cmd_ctx, EIO);
         return;
     }
@@ -502,8 +502,8 @@ sudosrv_get_sudorules_dp_callback(uint16_t err_maj, uint32_t err_min,
     if (cmd_ctx->expired_rules_num > 0
         && err_min == ENOENT) {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("Some expired rules were removed from the server, "
-               "scheduling full refresh out of band\n"));
+              "Some expired rules were removed from the server, "
+               "scheduling full refresh out of band\n");
         dpreq = sss_dp_get_sudoers_send(cmd_ctx->cli_ctx->rctx,
                                         cmd_ctx->cli_ctx->rctx,
                                         cmd_ctx->domain, false,
@@ -512,7 +512,7 @@ sudosrv_get_sudorules_dp_callback(uint16_t err_maj, uint32_t err_min,
                                         0, NULL);
         if (dpreq == NULL) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Cannot issue DP request.\n"));
+                  "Cannot issue DP request.\n");
         } else {
             tevent_req_set_callback(dpreq, sudosrv_dp_oob_req_done, NULL);
         }
@@ -547,13 +547,13 @@ static errno_t sudosrv_get_sudorules_from_cache(TALLOC_CTX *mem_ctx,
                             NULL };
 
     if (cmd_ctx->domain == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Domain is not set!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Domain is not set!\n");
         return EFAULT;
     }
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_new() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_new() failed\n");
         return ENOMEM;
     }
 
@@ -566,8 +566,8 @@ static errno_t sudosrv_get_sudorules_from_cache(TALLOC_CTX *mem_ctx,
                                        NULL, &groupnames);
         if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                 ("Unable to retrieve user info [%d]: %s\n",
-                  ret, strerror(ret)));
+                 "Unable to retrieve user info [%d]: %s\n",
+                  ret, strerror(ret));
             goto done;
         }
         flags = SYSDB_SUDO_FILTER_USERINFO | SYSDB_SUDO_FILTER_INCLUDE_ALL;
@@ -585,12 +585,12 @@ static errno_t sudosrv_get_sudorules_from_cache(TALLOC_CTX *mem_ctx,
                                             &rules, &num_rules);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-             ("Unable to retrieve sudo rules [%d]: %s\n", ret, strerror(ret)));
+             "Unable to retrieve sudo rules [%d]: %s\n", ret, strerror(ret));
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Returning %d rules for [%s@%s]\n",
-                              num_rules, debug_name, cmd_ctx->domain->name));
+    DEBUG(SSSDBG_TRACE_FUNC, "Returning %d rules for [%s@%s]\n",
+                              num_rules, debug_name, cmd_ctx->domain->name);
 
     if (_rules != NULL) {
         *_rules = talloc_steal(mem_ctx, rules);
@@ -634,12 +634,12 @@ static errno_t sudosrv_get_sudorules_query_cache(TALLOC_CTX *mem_ctx,
                                 flags, &filter);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not construct the search filter [%d]: %s\n",
-               ret, strerror(ret)));
+              "Could not construct the search filter [%d]: %s\n",
+               ret, strerror(ret));
         goto done;
     }
 
-    DEBUG(SSSDBG_FUNC_DATA, ("Searching sysdb with [%s]\n", filter));
+    DEBUG(SSSDBG_FUNC_DATA, "Searching sysdb with [%s]\n", filter);
 
     if (IS_SUBDOMAIN(domain)) {
         /* rules are stored inside parent domain tree */
@@ -650,7 +650,7 @@ static errno_t sudosrv_get_sudorules_query_cache(TALLOC_CTX *mem_ctx,
                               SUDORULE_SUBDIR, attrs,
                               &count, &msgs);
     if (ret != EOK && ret != ENOENT) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Error looking up SUDO rules"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Error looking up SUDO rules");
         goto done;
     } if (ret == ENOENT) {
        *_rules = NULL;
@@ -662,14 +662,14 @@ static errno_t sudosrv_get_sudorules_query_cache(TALLOC_CTX *mem_ctx,
     ret = sysdb_msg2attrs(tmp_ctx, count, msgs, &rules);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not convert ldb message to sysdb_attrs\n"));
+              "Could not convert ldb message to sysdb_attrs\n");
         goto done;
     }
 
     ret = sort_sudo_rules(rules, count);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Could not sort rules by sudoOrder\n"));
+              "Could not sort rules by sudoOrder\n");
         goto done;
     }
 
@@ -692,7 +692,7 @@ sudo_order_cmp_fn(const void *a, const void *b)
     r1 = * (struct sysdb_attrs * const *) a;
     r2 = * (struct sysdb_attrs * const *) b;
     if (!r1 || !r2) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("BUG: Wrong data?\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "BUG: Wrong data?\n");
         return 0;
     }
 
@@ -702,7 +702,7 @@ sudo_order_cmp_fn(const void *a, const void *b)
          * a value of 0 is assumed */
         o1 = 0;
     } else if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Cannot get sudoOrder value\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Cannot get sudoOrder value\n");
         return 0;
     }
 
@@ -712,7 +712,7 @@ sudo_order_cmp_fn(const void *a, const void *b)
          * a value of 0 is assumed */
         o2 = 0;
     } else if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Cannot get sudoOrder value\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Cannot get sudoOrder value\n");
         return 0;
     }
 
diff --git a/src/responder/sudo/sudosrv_query.c b/src/responder/sudo/sudosrv_query.c
index c60202f..632afa7 100644
--- a/src/responder/sudo/sudosrv_query.c
+++ b/src/responder/sudo/sudosrv_query.c
@@ -39,7 +39,7 @@ static int sudosrv_response_append_string(TALLOC_CTX *mem_ctx,
     response_body = talloc_realloc(mem_ctx, response_body, uint8_t,
                                    response_len + (str_len * sizeof(char)));
     if (response_body == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_realloc() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_realloc() failed\n");
         return ENOMEM;
     }
     memcpy(response_body + response_len, str, str_len);
@@ -62,7 +62,7 @@ static int sudosrv_response_append_uint32(TALLOC_CTX *mem_ctx,
     response_body = talloc_realloc(mem_ctx, response_body, uint8_t,
                                    response_len + sizeof(uint32_t));
     if (response_body == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_realloc() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_realloc() failed\n");
         return ENOMEM;
     }
     SAFEALIGN_SET_UINT32(response_body + response_len, number, &response_len);
@@ -88,7 +88,7 @@ static int sudosrv_response_append_attr(TALLOC_CTX *mem_ctx,
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_new() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_new() failed\n");
         return ENOMEM;
     }
 
@@ -109,7 +109,7 @@ static int sudosrv_response_append_attr(TALLOC_CTX *mem_ctx,
     /* values */
     for (i = 0; i < values_num; i++) {
         if (strlen((char*)(values[i].data)) != values[i].length) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("value is not a string"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "value is not a string");
             ret = EINVAL;
             goto done;
         }
@@ -147,7 +147,7 @@ static int sudosrv_response_append_rule(TALLOC_CTX *mem_ctx,
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_new() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_new() failed\n");
         return ENOMEM;
     }
 
@@ -201,7 +201,7 @@ errno_t sudosrv_build_response(TALLOC_CTX *mem_ctx,
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_new() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_new() failed\n");
         return ENOMEM;
     }
 
@@ -277,7 +277,7 @@ struct tevent_req *sudosrv_parse_query_send(TALLOC_CTX *mem_ctx,
     req = tevent_req_create(mem_ctx, &state,
                             struct sudosrv_parse_query_state);
     if (req == NULL) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("tevent_req_create() failed\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "tevent_req_create() failed\n");
         return NULL;
     }
 
@@ -286,7 +286,7 @@ struct tevent_req *sudosrv_parse_query_send(TALLOC_CTX *mem_ctx,
     /* uid */
 
     if (query_len < sizeof(uid_t)) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Query is too small\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Query is too small\n");
         ret = EINVAL;
         goto done;
     }
@@ -298,19 +298,19 @@ struct tevent_req *sudosrv_parse_query_send(TALLOC_CTX *mem_ctx,
     rawname_len = query_len - offset; /* strlen + zero */
 
     if (rawname[rawname_len - 1] != '\0') {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Username is not zero terminated\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Username is not zero terminated\n");
         ret = EINVAL;
         goto done;
     }
 
     if (rawname_len < 2) { /* at least one character and zero */
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Query does not contain username\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Query does not contain username\n");
         ret = EINVAL;
         goto done;
     }
 
     if (!sss_utf8_check((uint8_t*)rawname, rawname_len - 1)) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Supplied data is not valid UTF-8 string\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Supplied data is not valid UTF-8 string\n");
         ret = EINVAL;
         goto done;
     }
@@ -322,8 +322,8 @@ struct tevent_req *sudosrv_parse_query_send(TALLOC_CTX *mem_ctx,
                                      rctx->default_domain, state->rawname,
                                      &domainname, NULL);
     if (ret == EAGAIN) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("Domain [%s] not found, "
-              "sending subdomain request\n", domainname));
+        DEBUG(SSSDBG_TRACE_FUNC, "Domain [%s] not found, "
+              "sending subdomain request\n", domainname);
 
         subreq = sss_dp_get_domains_send(state, rctx, true, domainname);
         if (subreq == NULL) {
@@ -334,7 +334,7 @@ struct tevent_req *sudosrv_parse_query_send(TALLOC_CTX *mem_ctx,
         }
         goto done;
     } else if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid name received [%s]\n", rawname));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Invalid name received [%s]\n", rawname);
         goto done;
     }
 
@@ -386,7 +386,7 @@ errno_t sudosrv_parse_query_recv(TALLOC_CTX *mem_ctx,
     TEVENT_REQ_RETURN_ON_ERROR(req);
 
     if (state->rawname == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("No query specified?!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "No query specified?!\n");
         return EINVAL;
     }
 
@@ -399,13 +399,13 @@ errno_t sudosrv_parse_query_recv(TALLOC_CTX *mem_ctx,
                                      state->rawname,
                                      &domainname, &username);
     if (ret != EOK) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("Unable to parse domain [%d]: %s\n",
-                                  ret, strerror(ret)));
+        DEBUG(SSSDBG_TRACE_FUNC, "Unable to parse domain [%d]: %s\n",
+                                  ret, strerror(ret));
         return ret;
     }
 
     if (username == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("No username specified!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "No username specified!\n");
         return EINVAL;
     }
 
@@ -414,8 +414,8 @@ errno_t sudosrv_parse_query_recv(TALLOC_CTX *mem_ctx,
          * so I cannot easily steal it */
         domain = responder_get_domain(state->rctx, domainname);
         if (domain == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Corresponding domain [%s] has not been "
-                                      "found\n", domainname));
+            DEBUG(SSSDBG_OP_FAILURE, "Corresponding domain [%s] has not been "
+                                      "found\n", domainname);
             return ENOENT;
         }
     }
diff --git a/src/sbus/sbus_client.c b/src/sbus/sbus_client.c
index a06b28d..fe79f42 100644
--- a/src/sbus/sbus_client.c
+++ b/src/sbus/sbus_client.c
@@ -42,13 +42,13 @@ int sbus_client_init(TALLOC_CTX *mem_ctx,
 
     filename = strchr(server_address, '/');
     if (filename == NULL) {
-        DEBUG(1, ("Unexpected dbus address [%s].\n", server_address));
+        DEBUG(1, "Unexpected dbus address [%s].\n", server_address);
         return EIO;
     }
 
     ret = check_file(filename, 0, 0, 0600, CHECK_SOCK, NULL, true);
     if (ret != EOK) {
-        DEBUG(1, ("check_file failed for [%s].\n", filename));
+        DEBUG(1, "check_file failed for [%s].\n", filename);
         return EIO;
     }
 
diff --git a/src/sbus/sssd_dbus_common.c b/src/sbus/sssd_dbus_common.c
index d16a763..0894036 100644
--- a/src/sbus/sssd_dbus_common.c
+++ b/src/sbus/sssd_dbus_common.c
@@ -129,7 +129,7 @@ dbus_bool_t sbus_add_watch(DBusWatch *dbus_watch, void *data)
         /* does not exist, allocate new one */
         watch = talloc_zero(conn, struct sbus_watch_ctx);
         if (!watch) {
-            DEBUG(0, ("Out of Memory!\n"));
+            DEBUG(0, "Out of Memory!\n");
             return FALSE;
         }
         watch->conn = conn;
@@ -169,7 +169,7 @@ dbus_bool_t sbus_add_watch(DBusWatch *dbus_watch, void *data)
                                watch, fd, event_flags,
                                sbus_watch_handler, watch);
     if (!watch->fde) {
-        DEBUG(0, ("Failed to set up fd event!\n"));
+        DEBUG(0, "Failed to set up fd event!\n");
         talloc_zfree(watch);
         return FALSE;
     }
@@ -177,11 +177,11 @@ dbus_bool_t sbus_add_watch(DBusWatch *dbus_watch, void *data)
     DLIST_ADD(conn->watch_list, watch);
     talloc_set_destructor((TALLOC_CTX *)watch, watch_destructor);
 
-    DEBUG(8, ("%p/%p (%d), %s/%s (%s)\n",
+    DEBUG(8, "%p/%p (%d), %s/%s (%s)\n",
               watch, dbus_watch, fd,
               ((flags & DBUS_WATCH_READABLE)?"R":"-"),
               ((flags & DBUS_WATCH_WRITABLE)?"W":"-"),
-              enabled?"enabled":"disabled"));
+              enabled?"enabled":"disabled");
 
     return TRUE;
 }
@@ -205,7 +205,7 @@ void sbus_toggle_watch(DBusWatch *dbus_watch, void *data)
     watch_data = dbus_watch_get_data(dbus_watch);
     watch = talloc_get_type(watch_data, struct sbus_watch_ctx);
     if (!watch) {
-        DEBUG(2, ("[%p] does not carry watch context?!\n", dbus_watch));
+        DEBUG(2, "[%p] does not carry watch context?!\n", dbus_watch);
         /* abort ? */
         return;
     }
@@ -234,11 +234,11 @@ void sbus_toggle_watch(DBusWatch *dbus_watch, void *data)
 #endif
     }
     DEBUG(SSSDBG_TRACE_ALL,
-          ("%p/%p (%d), %s/%s (%s)\n",
+          "%p/%p (%d), %s/%s (%s)\n",
            watch, dbus_watch, fd,
            ((flags & DBUS_WATCH_READABLE)?"R":"-"),
            ((flags & DBUS_WATCH_WRITABLE)?"W":"-"),
-           enabled?"enabled":"disabled"));
+           enabled?"enabled":"disabled");
 }
 
 /*
@@ -254,10 +254,10 @@ void sbus_remove_watch(DBusWatch *dbus_watch, void *data)
     watch_data = dbus_watch_get_data(dbus_watch);
     watch = talloc_get_type(watch_data, struct sbus_watch_ctx);
 
-    DEBUG(8, ("%p/%p\n", watch, dbus_watch));
+    DEBUG(8, "%p/%p\n", watch, dbus_watch);
 
     if (!watch) {
-        DEBUG(2, ("DBUS trying to remove unknown watch!\n"));
+        DEBUG(2, "DBUS trying to remove unknown watch!\n");
         return;
     }
 
@@ -313,7 +313,7 @@ dbus_bool_t sbus_add_timeout(DBusTimeout *dbus_timeout, void *data)
     struct sbus_timeout_ctx *timeout;
     struct timeval tv;
 
-    DEBUG(8, ("%p\n", dbus_timeout));
+    DEBUG(8, "%p\n", dbus_timeout);
 
     if (!dbus_timeout_get_enabled(dbus_timeout)) {
         return TRUE;
@@ -323,7 +323,7 @@ dbus_bool_t sbus_add_timeout(DBusTimeout *dbus_timeout, void *data)
 
     timeout = talloc_zero(conn, struct sbus_timeout_ctx);
     if (!timeout) {
-        DEBUG(0, ("Out of Memory!\n"));
+        DEBUG(0, "Out of Memory!\n");
         return FALSE;
     }
     timeout->dbus_timeout = dbus_timeout;
@@ -332,7 +332,7 @@ dbus_bool_t sbus_add_timeout(DBusTimeout *dbus_timeout, void *data)
     timeout->te = tevent_add_timer(conn->ev, timeout, tv,
                                    sbus_timeout_handler, timeout);
     if (!timeout->te) {
-        DEBUG(0, ("Failed to set up timeout event!\n"));
+        DEBUG(0, "Failed to set up timeout event!\n");
         return FALSE;
     }
 
@@ -349,7 +349,7 @@ dbus_bool_t sbus_add_timeout(DBusTimeout *dbus_timeout, void *data)
  */
 void sbus_toggle_timeout(DBusTimeout *dbus_timeout, void *data)
 {
-    DEBUG(8, ("%p\n", dbus_timeout));
+    DEBUG(8, "%p\n", dbus_timeout);
 
     if (dbus_timeout_get_enabled(dbus_timeout)) {
         sbus_add_timeout(dbus_timeout, data);
@@ -366,7 +366,7 @@ void sbus_remove_timeout(DBusTimeout *dbus_timeout, void *data)
 {
     void *timeout;
 
-    DEBUG(8, ("%p\n", dbus_timeout));
+    DEBUG(8, "%p\n", dbus_timeout);
 
     timeout = dbus_timeout_get_data(dbus_timeout);
 
